> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a comment automation



## OpenAPI

````yaml put /api/public/instagram/automations/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/instagram/automations/{id}:
    put:
      tags:
        - Instagram Comment Automations
      summary: Update a comment automation
      operationId: PublicInstagramCommentAutomationController_updateAutomation
      parameters:
        - name: x-api-key
          in: header
          description: API key required to authorize the request
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: Comment automation id
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCommentAutomationDto'
      responses:
        '200':
          description: Automation updated.
        '404':
          description: Comment automation not found.
components:
  schemas:
    UpdateCommentAutomationDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        conditionPrompt:
          type: string
          nullable: true
        activationType:
          type: string
          enum:
            - ai_condition
            - keywords
        keywords:
          type: array
          items:
            type: string
          nullable: true
        stageId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          nullable: true
        dmInstruction:
          type: string
          nullable: true
        dmButtons:
          maxItems: 3
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 20
          nullable: true
        commentInstruction:
          type: string
          nullable: true
        promptContext:
          type: string
          nullable: true
        isFuture:
          type: boolean
        type:
          type: string
          enum:
            - private
            - comment
            - delete
            - multiple
        mode:
          type: string
          enum:
            - intelligent
            - lite

````